export interface TaskOptions {
    /**
     * The name of the task, as referenced in logs and the CLI.
     *
     * This name must not start with a "-" in order to prevent conflicts
     * with flags.
     */
    name: string;
    /**
     * A description of the task, for display in the CLI.
     */
    description?: string | undefined;
    /**
     * A list of tasks that must has been run to completion before
     * this task can execute.
     */
    dependencies?: Task[] | undefined;
    /**
     * A function to execute when this task is run.
     */
    run?: (() => void | Promise<void>) | undefined;
}
/**
 * A hereby Task. To get an instance, call `test`.
 */
export declare class Task {
    private _options;
    private constructor();
}
/**
 * Creates a new Task.
 */
export declare function task(options: TaskOptions): Task;
